Home About Rice Downloads Documents Others Cooker CookerGX
Documents  >  Tutorial  >  environment
必要な環境。

The .Net Framework

Riceは、Windows上の.Net Framework用のライブラリとして提供されます。

Rice自体は、.Net Frameworkのバージョン4.0をターゲットとして、C#で実装されていますが、チュートリアルのためのRice実行環境(Cooker)は、バージョン4.6をターゲットとしています。

したがって、チュートリアルを進めていくためには、.Net Frameworkのバージョン4.6以上が必要となります。

テキストエディタ

Riceのソースファイルは、UTF-8でエンコードされたテキストファイルである必要があります。

したがって、チュートリアルを進めていくためには、UTF-8を扱えるテキストエディタが必要となります。

Cooker

Cookerは、Rice言語評価用のアプリケーションです。.Net Frameworkのバージョン4.6以上で動作します。

このチュートリアルのRiceコードは、Cooker上で動作することを前提としています。

Copyright © Rice All rights reserved.